	opt	forwardrefmax
#include	coco\main_lib.txt
#include	coco\disk_lib.txt
#include	coco\pmode4_lib.txt
#memstart	15904	;$3e20
	org	$4500	;mem start?
start
	lds	#$44e0	;<$4500
	createsinetable()
	std	sine_table
	cg6_display(#1)
	cg6_cls(#0,#0,#0)
	cg6_cls(#1,#0,#0)
	lda	#0
	sta	my_col
;	sta	65497	;hi speed poke cc3
	clr	page
	lda	#0
	sta	rotation
	lda	#128
	sta	rotation5
dostart
	cg6_scroll_left(page,#1)
	jsr	spinup1
;second
	jsr	spinup2

	cg6_nosync(page)
	lbra	dostart




def	rotation	byte
def	rotation2	byte
def	rotation3	byte
def	rotation4	byte
def	rotation5	byte
def	rotation6	byte
def	rotation7	byte
def	rotation8	byte

def	my_x1	byte
def	my_y1	byte
def	my_x2	byte
def	my_y2	byte
def	my_col	byte
def	page	byte
def	sine_table	word

; end of program
cocoromend


	end	start




